## Script (Python) "bibliography_export"
##bind container=container
##bind context=context
##bind namespace=
##bind script=script
##bind subpath=traverse_subpath
##parameters=format='BibTex', output_encoding=None, eol_style=False
##title=
##

request = container.REQUEST
RESPONSE =  request.RESPONSE

RESPONSE.setHeader('Content-Type', 'application/octet-stream')
RESPONSE.setHeader('Content-Disposition',
                   'attachment; filename=%s' %\
                   context.getId() + '.' + context.getPortalTypeName())

output = ''

for field in context.Schema().filterFields(isMetadata=1):
    content = field.getAccessor(context)()
    if content:
        output += '# %s: %s;\n' % (field.getName(), content)

for node in context.nodes():
    if content:
        output += 'node: %s;\n' % (node.Title())
        
for edge in context.edges():
    if content:
        output += '%s: %s -> %s;\n' % (
            edge.getId(),
            edge.getNode_a().Title(),
            edge.getNode_b().Title()
            )

return output
